curl --request POST \
--url https://api.plura.ai/v1/lead/sendtoworkflow \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflow_id": "98249779-79ae-462f-a0cf-7ce5129cc093",
"record": {
"phone": "17145551234",
"first_name": "John",
"last_name": "Smith",
"email": "johnsmith@mail.com",
"company": "Acme Corp"
}
}
'{
"status": "success",
"lead_id": "307fc241-8398-4740-8122-cf6a59f3b86e",
"workflow_assigned": true,
"message": "Lead successfully added to workflow"
}{
"status": "failed",
"message": "Could not find or create lead, please try again!"
}{
"status": "failed",
"message": "Human-readable error description"
}{
"status": "failed",
"message": "Human-readable error description"
}Send to Workflow
Enroll a lead into an automated journey. You can create a new lead and enroll them simultaneously, or enroll an existing lead by their UUID.
Note: Provide either record (for new leads) or lead_id (for existing leads) — never both.
Finding your Journey ID: Extract it from your workspace URL — app.plura.ai/[workspace]/journey/[JOURNEY-ID]/flow/[flow-id]. The Journey ID is the UUID after /journey/. Use the Journey ID, not the Flow ID.
curl --request POST \
--url https://api.plura.ai/v1/lead/sendtoworkflow \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflow_id": "98249779-79ae-462f-a0cf-7ce5129cc093",
"record": {
"phone": "17145551234",
"first_name": "John",
"last_name": "Smith",
"email": "johnsmith@mail.com",
"company": "Acme Corp"
}
}
'{
"status": "success",
"lead_id": "307fc241-8398-4740-8122-cf6a59f3b86e",
"workflow_assigned": true,
"message": "Lead successfully added to workflow"
}{
"status": "failed",
"message": "Could not find or create lead, please try again!"
}{
"status": "failed",
"message": "Human-readable error description"
}{
"status": "failed",
"message": "Human-readable error description"
}Authorizations
API key from Settings → API Keys in your workspace
Body
Journey ID from your workspace URL (not the Flow ID)
"98249779-79ae-462f-a0cf-7ce5129cc093"
Lead data for creating a new lead. Provide this OR lead_id, not both.
Show child attributes
Show child attributes
Existing lead UUID. Provide this OR record, not both.
"307fc241-8398-4740-8122-cf6a59f3b86e"